1

When I install ox-gfm package, I got below warning:

Leaving directory ‘/Users/root/.emacs.d/elpa/ox-gfm-20170304.1504’

Compiling file /Users/root/.emacs.d/elpa/ox-gfm-20170304.1504/ox-gfm.el at Mon Apr  3 22:11:54 2017
Entering directory ‘/Users/root/.emacs.d/elpa/ox-gfm-20170304.1504/’

Compiling no file at Mon Apr  3 22:11:55 2017
Warning (bytecomp): reference to free variable ‘info’
Warning (bytecomp): org-export-collect-footnote-definitions called with 1
argument, but requires 2
Warning (bytecomp): org-html--anchor called with 4 arguments, but accepts only
0-3
Warning (bytecomp): the function ‘org-export-get-reference’ is not known to be
defined.

But sounds like org-export-get-reference will be used in publish code, so when I try to publish org file to md file (refer to this link), it will report a error:

org-gfm-format-toc: Symbol’s function definition is void: org-export-get-reference

So I guess we should not ignore the warning! Not sure if any other depend package missed!

My emacs version on MacOSX 10.12:

GNU Emacs 25.2.1 (x86_64-apple-darwin16.0.0, NS appkit-1504.00 Version 10.12 (Build 16A323)) of 2017-04-03
2

Seems like you should upgrade to a newer version of Orgmode.

Call org-version and see what you get. If it's something like 8.2, you should upgrade to 8.3 or higher. See the Orgmode package repo.

  • Yeah, my org version is 8.2, how can I upgrade it to just 8.3? The instruction always upgrade to latest one (9.0.5) but I don't want to use 9.0.5 because it will cause another issue! (params variable is void). – lucky1928 Apr 4 '17 at 21:02
  • There's no automatic way to do this AFAIK. See discussion here. You can try using el-get, which I haven't used myself. – Tianxiang Xiong Apr 4 '17 at 21:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.